{
	saved_FirstTime [1]

	Init[()
	{
		if(saved_FirstTime = 1)
		{
			saved_FirstTime = 0;
			SetInvulnerable(true);
			SetNationality(2);
		}
	}]

	DelayReached[(x)
	{
		if(x = 1)
		{
			Level.Victory();
			Delay(8, 2);
		}
		if(x = 2)
		{
			Level.Log("Did I get here?");
			Level.LoadLevel("S_RUM4_Kursk");	
		}
	}]

	DoneDriving[()
	{
		StopSound(126);
		Level.GetPlayer().PlaySound(169);
		Delay(5, 1);
	}]

	GoTime[()
	{
		SetPosition(17749, 7082);
		SetState_TruckDrive();
		Level.GetPlayer().AttachTo(self,5);
		Level.GetPlayer().SetCrouching();
		Level.GetPlayer().SetFrozen(true);
		Level.GetPlayer().PlaySound(126, 16, 1, 20);
		Level.saved_playcar = 1;

		SetBaseRotation(0,0,0);
		SetMinRotation(-25,0, -130);
		SetMaxRotation(45,0, 25);
		FollowPath("carpath_1",0);
		FollowPathCallback(127, "Path2");
		
		// SetBaseRotation(0,0,0);
		// SetMinRotation(-25,0, -130);
		// SetMaxRotation(45,0, 25);
		// FollowPath("carpath_1",0);
		// FollowPathCallback(127, "Path2");

	}]

	Path2[()
	{
		FollowPath("carpath_2",0);
		FollowPathCallback(127, "Path3");
	}]

	Path3[()
	{
		FollowPath("carpath_3", 0);
		FollowPathCallback(127, "Path4");
	}]

	Path4[()
	{
		FollowPath("carpath_4",0);
		FollowPathCallback(127, "Path5");
	}]

	Path5[()
	{
		FollowPath("carpath_5",0);
		FollowPathCallback(127, "DoneDriving");
	}]
}